/**
  *  \file client/widgets/funcinfo.h
  *
  *  (c) 2001-2010 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_WIDGETS_FUNCINFO_H
#define PCC_V2_CLIENT_WIDGETS_FUNCINFO_H

#include "game/hullfunc.h"
#include "ui/ui.h"

class WHullFunctionInfo : public UIWidget {
    string_t content;
 public:
    WHullFunctionInfo();
    ~WHullFunctionInfo();

    void setFunction(const GHullFunction* hf);

    void getLayoutInfo(LayoutInfo& info);
    void drawContent(GfxCanvas& can);
};

#endif
